import javax.swing.*;

class Main {
	public static void main(String argv[]) {
		String in = "Dies ist ein Teststring \"mit grossen Buchstaben\", der ist echt wichtig, wenn man testet! *muha*?";
		/*
		 * You can specify which letters are used in the constructor.
		 * Test both lines below, only one should be used at a time. 
		 */
		rot13 myrot13 = new rot13(13, "abcdefghijklmnopqrstuvwxyz");
        //rot13 myrot13 = new rot13(15, "abcdefghijkl!mnopqrstuvwxyz \",*ABCDEFGHIJKLMNOQRSTUVWXYZ?");
		
        System.out.println("Input String:");
		System.out.println(in);

		System.out.println("Ciphered String:");
		System.out.println(myrot13.cipher(in));
		
		System.out.println("DeCiphered String:");
		System.out.println(myrot13.decipher(myrot13.cipher(in)));
	}
}
